#!/usr/bin/perl
# -----------------------------------------------------------------------------
#   ident "@(#)nmen_jdk.pl 1.18 04/01/30 SMI"
# -----------------------------------------------------------------------------
#
#  Copyright 2001-2004 Sun Microsystems, Inc. All rights reserved.
#
# -----------------------------------------------------------------------------

package NMEN_JDK;

use strict;
use variables;


#--------------------------------------------------------------
#
# installation of JDK packages
#
#--------------------------------------------------------------

sub nmen_jdk {

  ($NODE_ID) = @_;

  if (! $INSTALL_JDK) {
    my $packages = COMPONENT::get_info_nmen_component("JDK", "PACKAGE");
    COMMON::print_log("\n");
    COMMON::print_log("WARNING: Installation of JDK skipped\n");
    COMMON::print_log("- Please check that required package ($packages) is installed on each diskless specific directories\n");
    COMMON::print_log("\n");
    return;
  }
  
  # NMENs environment is set only on the first MEN at the first installation
  if ( $NODE_ID eq $MEN1_ID ) {
    COMMON::print_stage_node("JDK installation for diskless");
    COMPONENT::install_nmen_component($NODE_ID, "JDK", "");
  }
}

{
}
